package com.ruoyi.base.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.base.domain.BaseRights;
import com.ruoyi.base.vo.CardRightsVO;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 会员权益Mapper接口
 *
 * @author vinjor-m
 * @date 2025-03-17
 */
@Mapper
public interface BaseRightsMapper extends BaseMapper<BaseRights> {
    IPage<BaseRights> queryListPage(@Param("entity") BaseRights entity, Page<BaseRights> page);

    /**
     * 查询会员权益
     *
     * @param userType 用户类型
     * @return java.util.List<com.ruoyi.base.vo.CardRightsVO>
     * @author PQZ
     * @date 11:35 2025/4/7
     **/
    List<CardRightsVO> rightList(@Param("userType")String userType);
}
