package com.ruoyi.busi.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.busi.domain.BusiEvaluate;
import com.ruoyi.busi.vo.BusiEvaluateVO;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 评价Mapper接口
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Mapper
public interface BusiEvaluateMapper extends BaseMapper<BusiEvaluate>
{
    IPage<BusiEvaluate> queryListPage(@Param("entity") BusiEvaluate entity, Page<BusiEvaluate> page);

    /**
     * 通过用户id查询被评价情况
     * @author PQZ
     * @date 15:22 2025/3/21
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.busi.domain.BusiEvaluate>
    **/
    List<BusiEvaluateVO> listByToUserId(@Param("userId") Long userId);

}
