package com.ruoyi.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.member.domain.MemberPoints;
import org.apache.ibatis.annotations.Mapper;

/**
 * 博主积分变动明细Mapper接口
 *
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberPointsMapper extends BaseMapper<MemberPoints> {

    /**
     * 根据用户id查询积分变动明细
     *
     * @param userId 用户id
     * @param page   分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberPoints>
     * @author PQZ
     * @date 15:25 2025/3/29
     **/
    IPage<MemberPoints> queryListPage(Long userId, Page<MemberPoints> page);
}
