package com.ruoyi.member.mapper;

import java.util.List;
import com.ruoyi.member.domain.MemberRights;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1Mapper接口
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberRightsMapper extends BaseMapper<MemberRights>
{

    /**
     * 查某用户某些会员卡的权益明细
     * @author vinjor-M
     * @date 13:52 2025/3/26
     * @param cardIdList 会员卡id集和
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberRights>
    **/
    List<MemberRights> selectUserRightsByCardIds(@Param("list")List<String> cardIdList,@Param("userId")Long userId);
}
